Get all pathways
curl --request GET \
--url https://myorg.tribalhabits.com/papi/pathways \
--header 'Authorization: <api-key>'import requests
url = "https://myorg.tribalhabits.com/papi/pathways"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://myorg.tribalhabits.com/papi/pathways', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://myorg.tribalhabits.com/papi/pathways",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}using RestSharp;
var options = new RestClientOptions("https://myorg.tribalhabits.com/papi/pathways");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
require 'uri'
require 'net/http'
url = URI("https://myorg.tribalhabits.com/papi/pathways")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"total_records": 12,
"max_per_page": 25,
"current_page": 1,
"total_pages": 1,
"records": [
{
"id": 17,
"title": "PathTestA",
"topic_ids": [
75
],
"optional_topic_ids": [
89
],
"due_mode": "fixed_date",
"due_date": "2022-02-02T00:00:00.000+10:00",
"due_in_days": null,
"mandatory_topics_in_order": false,
"num_complete_optional_topics": 0,
"manager_enrol": false,
"manager_unenrol": false,
"certified_mode": "fixed_time",
"certified_days": 365,
"certified_date": null,
"show_certificate": false,
"certificate_expire_event": 1,
"recertify": true,
"recertification_days": 12,
"created_at": "2019-07-01T15:22:05.752+10:00",
"updated_at": "2020-01-22T14:38:39.099+11:00",
"completion_certificate_id": null,
"external_id": "123",
"visibility": "public",
"mandatory_topics": [
{
"topic_id": 75,
"topic_title": "Test Topic O",
"topic_external_id": "123"
}
],
"optional_topics": [
{
"topic_id": 89,
"topic_title": "Oranges",
"topic_external_id": null
}
],
"categories": [
{
"id": 8,
"name": "Health"
}
],
"skills": [
{
"id": 7,
"name": "Manager1"
}
],
"links": {
"internal_enrol": "https://myorg.tribalhabits.com/internals/641960a27e9fdf42c689f0e265fbf2f4"
},
"saved_searches": [
{
"id": 61,
"q": [
{
"op": "in",
"attr": "category",
"name": "Type",
"values": [
"staff"
],
"description": " Type is Staff"
}
]
}
],
"code": "THP-4-22"
}
]
}{
"error": "Rate limit exceeded. Please slow down.",
"retry_after_seconds": 23
}Pathways
Get all pathways
This endpoint retrieves all pathways (paginated), ordered by title.
Results are paginated. For example, GET /papi/pathways?page=2 returns the second page.
GET
https://myorg.tribalhabits.com/papi
/
pathways
Get all pathways
curl --request GET \
--url https://myorg.tribalhabits.com/papi/pathways \
--header 'Authorization: <api-key>'import requests
url = "https://myorg.tribalhabits.com/papi/pathways"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://myorg.tribalhabits.com/papi/pathways', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://myorg.tribalhabits.com/papi/pathways",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}using RestSharp;
var options = new RestClientOptions("https://myorg.tribalhabits.com/papi/pathways");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
require 'uri'
require 'net/http'
url = URI("https://myorg.tribalhabits.com/papi/pathways")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"total_records": 12,
"max_per_page": 25,
"current_page": 1,
"total_pages": 1,
"records": [
{
"id": 17,
"title": "PathTestA",
"topic_ids": [
75
],
"optional_topic_ids": [
89
],
"due_mode": "fixed_date",
"due_date": "2022-02-02T00:00:00.000+10:00",
"due_in_days": null,
"mandatory_topics_in_order": false,
"num_complete_optional_topics": 0,
"manager_enrol": false,
"manager_unenrol": false,
"certified_mode": "fixed_time",
"certified_days": 365,
"certified_date": null,
"show_certificate": false,
"certificate_expire_event": 1,
"recertify": true,
"recertification_days": 12,
"created_at": "2019-07-01T15:22:05.752+10:00",
"updated_at": "2020-01-22T14:38:39.099+11:00",
"completion_certificate_id": null,
"external_id": "123",
"visibility": "public",
"mandatory_topics": [
{
"topic_id": 75,
"topic_title": "Test Topic O",
"topic_external_id": "123"
}
],
"optional_topics": [
{
"topic_id": 89,
"topic_title": "Oranges",
"topic_external_id": null
}
],
"categories": [
{
"id": 8,
"name": "Health"
}
],
"skills": [
{
"id": 7,
"name": "Manager1"
}
],
"links": {
"internal_enrol": "https://myorg.tribalhabits.com/internals/641960a27e9fdf42c689f0e265fbf2f4"
},
"saved_searches": [
{
"id": 61,
"q": [
{
"op": "in",
"attr": "category",
"name": "Type",
"values": [
"staff"
],
"description": " Type is Staff"
}
]
}
],
"code": "THP-4-22"
}
]
}{
"error": "Rate limit exceeded. Please slow down.",
"retry_after_seconds": 23
}Authorizations
Your organisation's API key, sent as Authorization: my_api_key. The key can also be passed as an api_key query parameter. See Authentication.
Query Parameters
Results page to return
Maximum number of results per page. Maximum permitted page size is 100. Larger values are reduced to 100.
Only records updated after this time, in UTC. Use the ISO 8601 form "yyyy-mm-ddThh:mm:ss", eg "2023-02-01T15:12:13". Do not include a time zone offset
Example:
"2023-02-01T15:12:13"

